> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblProfileGetUserProfilesForSocialGroupAsync

> XblProfileGetUserProfilesForSocialGroupAsync

# XblProfileGetUserProfilesForSocialGroupAsync

指定したソーシャル グループ内のユーザーのプロファイルを取得します。

## 構文

```cpp theme={null}
HRESULT XblProfileGetUserProfilesForSocialGroupAsync(  
         XblContextHandle xboxLiveContext,  
         const char* socialGroup,  
         XAsyncBlock* async  
)  
```

### パラメーター

*xboxLiveContext*   \_In\_\
型: [XblContextHandle](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

XblContextCreateHandle で作成された XBOX Live コンテキスト ハンドル。

*socialGroup*   \_In\_z\_\
型: char\*

検索するユーザーのソーシャル グループの UTF-8 エンコード名。"Favorites" と "People" のオプションがあります。

*async*   \_In\_\
型: XAsyncBlock\*

呼び出し元によって割り当てられた AsyncBlock。

### 戻り値

型: HRESULT

この API 操作の HRESULT 戻り値コード。

## 解説

結果を取得するには、まず [XblProfileGetUserProfilesForSocialGroupResultCount](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesforsocialgroupresultcount.md) を呼び出して返されたプロファイルの数を取得し、次に AsyncBlock コールバック内または AsyncBlock が完了した後に [XblProfileGetUserProfilesForSocialGroupResult](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesforsocialgroupresult.md) を呼び出します。

## REST 呼び出し

V2 GET /users/{userId}/profile/settings/people/{socialGroup} を呼び出します

## 要件

**ヘッダー:** profile\_c.h

**ライブラリ:** Microsoft.Xbox.Services.14x.GDK.C.lib

## 関連項目

[profile\_c](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/profile_c_members.md)


## Related topics

- [XblProfileGetUserProfilesForSocialGroupResult](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesforsocialgroupresult.md)
- [profile_c](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/profile_c_members.md)
- [XblProfileGetUserProfilesForSocialGroupResultCount](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesforsocialgroupresultcount.md)
- [XblProfileGetUserProfileAsync](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofileasync.md)
- [XblProfileGetUserProfilesAsync](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesasync.md)
